%global _owner pgnd
%global _build_timestamp %( date +%%Y%%m%%d_%%H%%M%%S --utc )
%global _dist .%{_build_timestamp}.%{_owner}.fc%{fedora}

%define _dkm_name        dkimpy-milter
%define _dkm_ug_name     %{_dkm_name}-sysusers
%define _dkm_ug_pkgname  %{_dkm_ug_name}
%define _dkm_ug_comment  Dkimpy-Milter users & groups

# https://spdx.org/licenses/MIT.html
%global _dkm_ug_license MIT

%define _dkm_ug_file_in  %{_dkm_name}.sysusers
%define _dkm_ug_file_out %{_dkm_name}.conf
%define _dkm_ug_dir      /etc/sysusers.d

%global dist %{_dist}

Vendor:           %{_owner}

# NEVRA (n-e:v-r.a)
Name:              %{_dkm_ug_name}
Epoch:             3
Version:           git_1.0
Release:           0%{?dist}
BuildArch:         noarch
#	https://blog.jasonantman.com/2014/07/how-yum-and-rpm-compare-versions/
%global _same_evr   %{epoch}:%{version}-%{release}

Summary:           %{_dkm_ug_comment}
License:           %{_dkm_ug_license}

Source0:           %{_dkm_ug_file_in}
Provides:          user(dkimpy-milter)
Provides:          group(dkimpy-milter)

BuildRequires:     coreutils
# https://docs.fedoraproject.org/en-US/packaging-guidelines/UsersAndGroups/#_dynamic_allocation
BuildRequires:     systemd-rpm-macros
%{?sysusers_requires_compat}

%description
%{_dkm_ug_comment}

%prep
cp %{SOURCE0} .

%build

%install
mkdir -p %{buildroot}%{_dkm_ug_dir}
install -p -T -m 644 %{SOURCE0} %{buildroot}%{_dkm_ug_dir}/%{_dkm_ug_file_out}

%check

%pre
%sysusers_create_compat %{SOURCE0}

%files
%dir %{_dkm_ug_dir}
%{_dkm_ug_dir}/%{_dkm_ug_file_out}

%changelog
* Tue Apr 15 2025 pgnd _ <null@null.loc>
- bump 1744764664
